import java.util.Scanner;

public class Polica {
	private static Scanner input=new Scanner (System.in);
	public static void main(String[] args) {
		int n=input.nextInt();
		int[]a=new int[n];
		int i=0;
		while(i<n) {
		 int p=input.nextInt();
		 if(p>=0&&p<=9) {
			 a[i]=p;
			 i++;
		 }else {
			 System.out.println("vrednost b mora da bude izmedju 0 i 9");
		 }
		}
		int m=0;
		int l=-1;
		for(int k=n-1;k>0;k--) {
			if(m<a[k]) {
				m=a[k];
				l=k;
			}
		}
        boolean t=true;
        int r=0;
        while(t) {
        	if(r<n) {
        		if(m<=a[r]) {
               	 r++;	
               	}else {
               		a[l]=a[r];
               		a[r]=m;
               		t=false;
               	}
        	}else {
        		int z=a[n-1];
        		a[n-1]=a[n-2];
        		a[n-2]=z;
        		t=false;
        	}
        }
        for(int q=0;q<n;q++) {
        	System.out.print(a[q]);
        	System.out.print(" ");
        }
 
	}

}